---
title: "Create site IP range targeting"
type: reference
method: POST
path: /rest-api/site/{siteId}/targeting/ip-range/create.do
tag: "Targeting Rules"
---

# Create site IP range targeting

`POST https://YOUR-NETWORK-DOMAIN/rest-api/site/{siteId}/targeting/ip-range/create.do`

Creates an IP range targeting rule for the specified site. Supports both IPv4 and IPv6 addresses. The ipFrom address must be less than or equal to ipTo. Requires IP_RANGE targeting permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `siteId` | integer | yes | `3001` | Unique numeric ID of the site |

## Form params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `rule` | string | yes | `INCLUDE` | Targeting rule type — INCLUDE for whitelist or EXCLUDE for blacklist |
| `ipFrom` | string | yes | `192.168.1.0` | Start IP address of the range (IPv4 or IPv6, e.g. 194.222.012.001) |
| `ipTo` | string | yes | `192.168.1.255` | End IP address of the range (IPv4 or IPv6, must be >= ipFrom) |

## Responses

- `200` — Success
- `400` — Invalid IP range or ipFrom exceeds ipTo
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Site not found
- `500` — Internal server error

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/site/3001/targeting/ip-range/create.do' \
  --header 'X-Api-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'rule=INCLUDE' \
  --data-urlencode 'ipFrom=192.168.1.0' \
  --data-urlencode 'ipTo=192.168.1.255'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/post-site-targeting-ip-range-create